arch=aarch64-darwin22
sitearch=${arch}
prefix=/opt/local
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include
MAJOR=2
MINOR=2
TEENY=0
ruby_version=2.2.0
RUBY_PROGRAM_VERSION=2.2.10
RUBY_BASE_NAME=ruby
RUBY_VERSION_NAME=${RUBY_BASE_NAME}-${ruby_version}
RUBY_SO_NAME=${RUBY_BASE_NAME}.${MAJOR}.${MINOR}.${TEENY}
RUBY_INSTALL_NAME=${RUBY_BASE_NAME}2.2
DEFFILE=
archlibdir=${libdir}/${arch}
sitearchlibdir=${libdir}/${sitearch}
archincludedir=${includedir}/${arch}
sitearchincludedir=${includedir}/${sitearch}
ruby=${bindir}/${RUBY_INSTALL_NAME}
rubylibprefix=${exec_prefix}/lib/ruby2.2
rubyarchprefix=${rubylibprefix}/${arch}
rubysitearchprefix=${rubylibprefix}/${sitearch}
rubylibdir=${rubylibprefix}/${ruby_version}
vendordir=${rubylibprefix}/vendor_ruby
sitedir=${rubylibprefix}/site_ruby
vendorlibdir=${vendordir}/${ruby_version}
sitelibdir=${sitedir}/${ruby_version}
rubyarchdir=${rubylibdir}/${arch}
vendorarchdir=${vendorlibdir}/${sitearch}
sitearchdir=${sitelibdir}/${sitearch}
rubyhdrdir=${includedir}/${RUBY_VERSION_NAME}
vendorhdrdir=${rubyhdrdir}/vendor_ruby
sitehdrdir=${rubyhdrdir}/site_ruby
rubyarchhdrdir=${rubyhdrdir}/${arch}
vendorarchhdrdir=${vendorhdrdir}/${sitearch}
sitearchhdrdir=${sitehdrdir}/${sitearch}
LIBPATH=
LIBRUBY_A=lib${RUBY_SO_NAME}-static.a
LIBRUBY_SO=lib${RUBY_SO_NAME}.dylib
LIBRUBY=${LIBRUBY_SO}
LIBRUBYARG_SHARED=-l${RUBY_SO_NAME}
LIBRUBYARG_STATIC=-l${RUBY_SO_NAME}-static -framework CoreFoundation
LIBRUBYARG=${LIBRUBYARG_SHARED}
LIBS=-lpthread -ldl -lobjc
DLDFLAGS=-Wl,-multiply_defined,suppress -L/opt/local/lib 

Name: Ruby
Description: Object Oriented Script Language
Version: ${ruby_version}
URL: http://www.ruby-lang.org
Cflags: -I${rubyarchhdrdir} -I${rubyhdrdir}
Libs: ${DLDFLAGS} ${LIBRUBYARG_SHARED} ${LIBS}
Requires:
